package com.example.pmulabs.designElem.statDesign

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.requiredHeight
import androidx.compose.foundation.layout.requiredSize
import androidx.compose.foundation.layout.requiredWidth
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.draw.rotate
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.foundation.shape.CircleShape

@Composable
fun LeftCircles(modifier: Modifier = Modifier) {
    Box(
        modifier = modifier
            .requiredWidth(width = 250.dp)
            .requiredHeight(height = 290.dp)
            .rotate(degrees = -13.96f)
    ) {
        Box(
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 166.4320068359375.dp,
                    y = 30.8746337890625.dp)
                .requiredWidth(width = 122.dp)
                .requiredHeight(height = 115.dp)
                .clip(shape = CircleShape)
                .background(color = Color(0xff423a99).copy(alpha = 0.7f)))
        Box(
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = (-0.000030517578125).dp,
                    y = 145.57101440429688.dp)
                .requiredWidth(width = 144.dp)
                .requiredHeight(height = 140.dp)
                .clip(shape = CircleShape)
                .background(color = Color(0xff423a99).copy(alpha = 0.7f)))
        Box(
            modifier = Modifier
                .align(alignment = Alignment.TopStart)
                .offset(x = 74.10296630859375.dp,
                    y = 48.450347900390625.dp)
                .requiredSize(size = 155.dp)
                .clip(shape = CircleShape)
                .background(color = Color(0xffb7b7e3).copy(alpha = 0.5f)))
    }
}

@Preview(widthDp = 250, heightDp = 290)
@Composable
private fun LeftCirclesPreview() {
    LeftCircles(Modifier)
}